%define apachedir /etc/httpd
%define apacheuser apache
%define apachegroup apache
%define contentdir /usr/share/ 
%define phpini /etc/php.ini

Summary: The common Horde Framework for all Horde modules.
Name: horde
Version: 3.1.9
Release: 1%{dist}
License: LGPL
Group: Applications/Internet
Source: ftp://ftp.horde.org/pub/horde/tarballs/horde-%{version}.tar.gz
Source1: horde.conf
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot 
AutoReq: no
Buildrequires: gettext
Requires: php >= 4.3.0
Requires: httpd >= 2.0.46
Requires: php >= 4.3.0
Requires: php-xml
Requires: php-imap
Requires: php-mbstring
Requires: php-mcrypt
Requires: php-pecl(Fileinfo)
Requires: php-pecl(memcache)
Requires: php-pear(DB)
Requires: php-pear(File)
Requires: php-pear(Log)
Requires: php-pear(Mail_Mime)
Requires: php-pear(Auth_SASL)
Requires: php-pear(Date)
Requires: php-pear(HTTP_Request)
Requires: php-pear(Mail)
Requires: php-pear(Net_Socket)
Requires: php-pear(Net_SMTP)

Requires(post): /sbin/service
Requires(postun):       /sbin/service
Prereq: /usr/bin/perl

%description
The Horde Framework provides a common structure and interface for Horde
applications (such as IMP, a web-based mail program).  This RPM is
required for all other Horde module RPMs.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Horde
and its modules) please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf.d
cp -p $RPM_SOURCE_DIR/horde.conf $RPM_BUILD_ROOT%{apachedir}/conf.d
mkdir -p $RPM_BUILD_ROOT%{contentdir}/horde
cp -pR * $RPM_BUILD_ROOT%{contentdir}/horde
chmod go-rwx $RPM_BUILD_ROOT%{contentdir}/horde/test.php
cd $RPM_BUILD_ROOT%{contentdir}/horde/config
rm -rf hooks.php.dist
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/service httpd condrestart > /dev/null 2>&1 || :

%postun
/sbin/service httpd condrestart > /dev/null 2>&1 || :

%files
%defattr(-,root,root)
# Apache horde.conf file
%config(noreplace) %{apachedir}/conf.d/horde.conf
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/horde
# Include top-level files by hand
%{contentdir}/horde/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/horde/lib
%{contentdir}/horde/locale
%{contentdir}/horde/po
%{contentdir}/horde/scripts
%{contentdir}/horde/templates
%{contentdir}/horde/util
%{contentdir}/horde/admin
%{contentdir}/horde/js
%{contentdir}/horde/services
%{contentdir}/horde/themes
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/horde/COPYING
%doc %{contentdir}/horde/README
%docdir %{contentdir}/horde/docs
%{contentdir}/horde/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/horde/config
%defattr(640,root,%{apachegroup})
%{contentdir}/horde/config/.htaccess
%{contentdir}/horde/config/*.dist
%config(noreplace) %{contentdir}/horde/config/*.php
%config(noreplace) %{contentdir}/horde/config/*.xml

%changelog
* Tue Sep  1 2009 Johnny Hughes <johnny@centos.org> 3.1.9-1.c55
- upgraded to version 3.1.9

* Sun Mar  9 2008 Johnny Hughes <johnny@centos.org> 3.1.7-1.c5
- upgraded to version 3.1.7

* Tue Oct 16 2007 Johnny Hughes <johnny@centos.org> 3.1.5-1.c5
- upgraded to upstream 3.1.5

* Fri Jul 20 2007 Johnny Hughes <johnny@centos.org> 3.1.4-1.c5
- added requirements for CentOS-5

* Fri Jul 20 2007 Johnny Hughes <johnny@centos.org> 3.1.4-1.c4
- upgraded to upstream 3.1.4.

* Fri Sep  1 2006 Johnny Hughes <johnny@centos.org> 3.1.3-1.c4
- upgraded to upstream version 3.1.3.

* Wed Aug 16 2006 Johnny Hughes <johnny@centos.org> 3.1.2-1.c4
- upgraded to upstream version 3.1.2.
- changed all config files from %config to %config(noreplace)

* Tue Apr 11 2006 Johnny Hughes <johnny@centos.org> 3.1.1-1.c4
- upgraded to upstream version 3.1.1.  Removed html.php.patch

* Wed Dec 14 2005 Johnny Hughes <johnny@centos.org> 3.0.8-2.centos4
- rolled in html.php.patch to fix this bug:
  http://bugs.horde.org/ticket/?id=3123

* Mon Dec 12 2005 Johnny Hughes <johnny@centos.org> 3.0.8-1.centos4
- Rolled in the upstream changes to version 3.0.8
  See this link: http://marc.theaimsgroup.com/?l=horde-announce&m=113432948731152&w=2

* Tue Nov 29 2005 Johnny Hughes <johnny@centos.org> 3.0.7-1.centos4
- Rolled in upstream changes to version 3.0.7

* Sat Oct 29 2005 Johnny Hughes <johnny@centos.org> 3.0.6-1.centos4
- Initial build for CentOS4
- Changed the html location to be consistent w/CentOS web apps (/usr/share)
- Changed the config file to be in /etc/httpd/conf.d/

* Thu Mar 31 2005 Greg Swallow <gregswallow@skynetonline.ca>
- 3.0.4-1sme01
- Update for Horde 3.0.4 on SME7

* Tue Aug 10 2004 Shad L. Lords <slords@mail.com>
- 2.2.1-2sme01
- Update specfile - change apache to httpd in requires

* Wed Apr 23 2003 Gordon Rowell <gordon_rowell@mitel.com>
- 2.2.1-1es00
- Rebuild [gordonr 7694]

* Tue Feb 25 2003 Dan Brown <dan@familybrown.org>
- 2.2.1-1es
- Rebuilt with horde 2.2.1

* Mon Jul  1 2002 Dan Brown <dan@familybrown.org>
- 2.1 release 1es
- changed apache user and web root to comply with SME Server
- removed horde.conf file, as this information is in e-smith-horde RPM

* Tue Jun 25 2002 Brent J. Nordquist <bjn@horde.org>
- 2.1 release 3

* Mon Jun 24 2002 Brent J. Nordquist <bjn@horde.org>
- 2.1 release 2 (private beta)

* Thu Jun 13 2002 Brent J. Nordquist <bjn@horde.org>
- 2.1 release 1 (private beta)

* Wed Jan 02 2002 Brent J. Nordquist <bjn@horde.org>
- 2.0 release 1

* Mon Dec 24 2001 Brent J. Nordquist <bjn@horde.org>
- 2.0-RC4 release 1

* Sat Dec 15 2001 Brent J. Nordquist <bjn@horde.org>
- rewritten for Horde 2.0

* Wed Nov 14 2001 Brent J. Nordquist <bjn@horde.org>
- 1.2.7 release 1rh7

* Sat Jul 21 2001 Brent J. Nordquist <bjn@horde.org>
- 1.2.6 release 1rh7

* Tue Feb 06 2001 Brent J. Nordquist <bjn@horde.org>
- 1.2.4 release 1rh
